Replace channels

Replaces a notification channel's receiver, by id.

PUT /v1/o11y/channels/{id}

Addresshttps://api.hanzo.ai/v1/o11y/channels/{id}
MethodPUT
OperationUpdateChannelByID
AuthAuthorization: Bearer $HANZO_API_KEY

Replaces a notification channel's receiver, by id. Admin gate.

Request

1699 fields, body application/json (required).

FieldInTypeRequiredDescription
idpathstringyes
Receiverbodyo11y.Receiver—
Receiver.discord_configsbodyo11y.DiscordConfig[]—
Receiver.discord_configs[].NotifierConfigbodyo11y.NotifierConfig—
Receiver.discord_configs[].NotifierConfig.send_resolvedbodyboolean—
Receiver.discord_configs[].avatar_urlbodystring—
Receiver.discord_configs[].contentbodystring—
Receiver.discord_configs[].http_configbodyo11y.HTTPClientConfig—
Receiver.discord_configs[].http_config.authorizationbodyo11y.Authorization—
Receiver.discord_configs[].http_config.authorization.credentialsbodyany—
Receiver.discord_configs[].http_config.authorization.credentials_filebodystring—
Receiver.discord_configs[].http_config.authorization.credentials_refbodystring—CredentialsRef is the name of the secret within the secret manager to use as credentials.
Receiver.discord_configs[].http_config.authorization.typebodystring—
Receiver.discord_configs[].http_config.basic_authbodyo11y.BasicAuth—
Receiver.discord_configs[].http_config.basic_auth.passwordbodyany—
Receiver.discord_configs[].http_config.basic_auth.password_filebodystring—
Receiver.discord_configs[].http_config.basic_auth.password_refbodystring—PasswordRef is the name of the secret within the secret manager to use as the password.
Receiver.discord_configs[].http_config.basic_auth.usernamebodystring—
Receiver.discord_configs[].http_config.basic_auth.username_filebodystring—
Receiver.discord_configs[].http_config.basic_auth.username_refbodystring—UsernameRef is the name of the secret within the secret manager to use as the username.
Receiver.discord_configs[].http_config.bearer_tokenbodyany—The bearer token for the targets.
Receiver.discord_configs[].http_config.bearer_token_filebodystring—The bearer token file for the targets.
Receiver.discord_configs[].http_config.enable_http2bodyboolean—EnableHTTP2 specifies whether the client should configure HTTP2.
Receiver.discord_configs[].http_config.follow_redirectsbodyboolean—FollowRedirects specifies whether the client should follow HTTP 3xx redirects.
Receiver.discord_configs[].http_config.http_headersbodyany—HTTPHeaders specify headers to inject in the requests.
Receiver.discord_configs[].http_config.no_proxybodystring—
Receiver.discord_configs[].http_config.oauth2bodyo11y.OAuth2—
Receiver.discord_configs[].http_config.oauth2.TLSConfigbodyo11y.TLSConfig—
Receiver.discord_configs[].http_config.oauth2.TLSConfig.cabodystring—Text of the CA cert to use for the targets.
Receiver.discord_configs[].http_config.oauth2.TLSConfig.ca_filebodystring—The CA cert to use for the targets.
Receiver.discord_configs[].http_config.oauth2.TLSConfig.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.discord_configs[].http_config.oauth2.TLSConfig.certbodystring—Text of the client cert file for the targets.
Receiver.discord_configs[].http_config.oauth2.TLSConfig.cert_filebodystring—The client cert file for the targets.
Receiver.discord_configs[].http_config.oauth2.TLSConfig.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.discord_configs[].http_config.oauth2.TLSConfig.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.discord_configs[].http_config.oauth2.TLSConfig.keybodyany—Text of the client key file for the targets.
Receiver.discord_configs[].http_config.oauth2.TLSConfig.key_filebodystring—The client key file for the targets.
Receiver.discord_configs[].http_config.oauth2.TLSConfig.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.discord_configs[].http_config.oauth2.TLSConfig.max_versionbodyany—Maximum TLS version.
Receiver.discord_configs[].http_config.oauth2.TLSConfig.min_versionbodyany—Minimum TLS version.
Receiver.discord_configs[].http_config.oauth2.TLSConfig.server_namebodystring—Used to verify the hostname for the targets.
Receiver.discord_configs[].http_config.oauth2.audiencebodystring—Audience optionally specifies the intended audience of the request.
Receiver.discord_configs[].http_config.oauth2.claimsbodyobject—Claims is a map of claims to be added to the JWT token.
Receiver.discord_configs[].http_config.oauth2.claims.*bodyany—
Receiver.discord_configs[].http_config.oauth2.client_certificate_keybodyany—
Receiver.discord_configs[].http_config.oauth2.client_certificate_key_filebodystring—
Receiver.discord_configs[].http_config.oauth2.client_certificate_key_idbodystring—
Receiver.discord_configs[].http_config.oauth2.client_certificate_key_refbodystring—ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret.
Receiver.discord_configs[].http_config.oauth2.client_idbodystring—
Receiver.discord_configs[].http_config.oauth2.client_secretbodyany—
Receiver.discord_configs[].http_config.oauth2.client_secret_filebodystring—
Receiver.discord_configs[].http_config.oauth2.client_secret_refbodystring—ClientSecretRef is the name of the secret within the secret manager to use as the client secret.
Receiver.discord_configs[].http_config.oauth2.endpoint_paramsbodyobject—
Receiver.discord_configs[].http_config.oauth2.endpoint_params.*bodystring—
Receiver.discord_configs[].http_config.oauth2.grant_typebodystring—GrantType is the OAuth2 grant type to use.
Receiver.discord_configs[].http_config.oauth2.issbodystring—Iss is the OAuth client identifier used when communicating with the configured OAuth provider.
Receiver.discord_configs[].http_config.oauth2.no_proxybodystring—
Receiver.discord_configs[].http_config.oauth2.proxy_connect_headerbodyobject—
Receiver.discord_configs[].http_config.oauth2.proxy_connect_header.*bodyany[]—
Receiver.discord_configs[].http_config.oauth2.proxy_from_environmentbodyboolean—
Receiver.discord_configs[].http_config.oauth2.proxy_urlbodyany—
Receiver.discord_configs[].http_config.oauth2.scopesbodystring[]—
Receiver.discord_configs[].http_config.oauth2.signature_algorithmbodystring—SignatureAlgorithm is the RSA algorithm used to sign JWT token.
Receiver.discord_configs[].http_config.oauth2.token_urlbodystring—
Receiver.discord_configs[].http_config.proxy_connect_headerbodyobject—
Receiver.discord_configs[].http_config.proxy_connect_header.*bodyany[]—
Receiver.discord_configs[].http_config.proxy_from_environmentbodyboolean—
Receiver.discord_configs[].http_config.proxy_urlbodyany—
Receiver.discord_configs[].http_config.tls_configbodyo11y.TLSConfig—
Receiver.discord_configs[].http_config.tls_config.cabodystring—Text of the CA cert to use for the targets.
Receiver.discord_configs[].http_config.tls_config.ca_filebodystring—The CA cert to use for the targets.
Receiver.discord_configs[].http_config.tls_config.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.discord_configs[].http_config.tls_config.certbodystring—Text of the client cert file for the targets.
Receiver.discord_configs[].http_config.tls_config.cert_filebodystring—The client cert file for the targets.
Receiver.discord_configs[].http_config.tls_config.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.discord_configs[].http_config.tls_config.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.discord_configs[].http_config.tls_config.keybodyany—Text of the client key file for the targets.
Receiver.discord_configs[].http_config.tls_config.key_filebodystring—The client key file for the targets.
Receiver.discord_configs[].http_config.tls_config.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.discord_configs[].http_config.tls_config.max_versionbodyany—Maximum TLS version.
Receiver.discord_configs[].http_config.tls_config.min_versionbodyany—Minimum TLS version.
Receiver.discord_configs[].http_config.tls_config.server_namebodystring—Used to verify the hostname for the targets.
Receiver.discord_configs[].messagebodystring—
Receiver.discord_configs[].titlebodystring—
Receiver.discord_configs[].usernamebodystring—
Receiver.discord_configs[].webhook_urlbodyany—
Receiver.discord_configs[].webhook_url_filebodystring—
Receiver.email_configsbodyo11y.EmailConfig[]—
Receiver.email_configs[].NotifierConfigbodyo11y.NotifierConfig—
Receiver.email_configs[].NotifierConfig.send_resolvedbodyboolean—
Receiver.email_configs[].auth_identitybodystring—
Receiver.email_configs[].auth_passwordbodyany—
Receiver.email_configs[].auth_password_filebodystring—
Receiver.email_configs[].auth_secretbodyany—
Receiver.email_configs[].auth_secret_filebodystring—
Receiver.email_configs[].auth_usernamebodystring—
Receiver.email_configs[].force_implicit_tlsbodyboolean—ForceImplicitTLS controls whether to use implicit TLS (direct TLS connection).
Receiver.email_configs[].frombodystring—
Receiver.email_configs[].headersbodyobject—
Receiver.email_configs[].headers.*bodystring—
Receiver.email_configs[].hellobodystring—
Receiver.email_configs[].htmlbodystring—
Receiver.email_configs[].require_tlsbodyboolean—
Receiver.email_configs[].smarthostbodyany—
Receiver.email_configs[].textbodystring—
Receiver.email_configs[].threadingbodyo11y.ThreadingConfig—
Receiver.email_configs[].threading.enabledbodyboolean—
Receiver.email_configs[].threading.thread_by_datebodystring—
Receiver.email_configs[].tls_configbodyo11y.TLSConfig—
Receiver.email_configs[].tls_config.cabodystring—Text of the CA cert to use for the targets.
Receiver.email_configs[].tls_config.ca_filebodystring—The CA cert to use for the targets.
Receiver.email_configs[].tls_config.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.email_configs[].tls_config.certbodystring—Text of the client cert file for the targets.
Receiver.email_configs[].tls_config.cert_filebodystring—The client cert file for the targets.
Receiver.email_configs[].tls_config.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.email_configs[].tls_config.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.email_configs[].tls_config.keybodyany—Text of the client key file for the targets.
Receiver.email_configs[].tls_config.key_filebodystring—The client key file for the targets.
Receiver.email_configs[].tls_config.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.email_configs[].tls_config.max_versionbodyany—Maximum TLS version.
Receiver.email_configs[].tls_config.min_versionbodyany—Minimum TLS version.
Receiver.email_configs[].tls_config.server_namebodystring—Used to verify the hostname for the targets.
Receiver.email_configs[].tobodystring—Email address to notify.
Receiver.incidentio_configsbodyo11y.IncidentioConfig[]—
Receiver.incidentio_configs[].NotifierConfigbodyo11y.NotifierConfig—
Receiver.incidentio_configs[].NotifierConfig.send_resolvedbodyboolean—
Receiver.incidentio_configs[].alert_source_tokenbodyany—AlertSourceToken is the key used to authenticate with the alert source in incident.io.
Receiver.incidentio_configs[].alert_source_token_filebodystring—
Receiver.incidentio_configs[].http_configbodyo11y.HTTPClientConfig—
Receiver.incidentio_configs[].http_config.authorizationbodyo11y.Authorization—
Receiver.incidentio_configs[].http_config.authorization.credentialsbodyany—
Receiver.incidentio_configs[].http_config.authorization.credentials_filebodystring—
Receiver.incidentio_configs[].http_config.authorization.credentials_refbodystring—CredentialsRef is the name of the secret within the secret manager to use as credentials.
Receiver.incidentio_configs[].http_config.authorization.typebodystring—
Receiver.incidentio_configs[].http_config.basic_authbodyo11y.BasicAuth—
Receiver.incidentio_configs[].http_config.basic_auth.passwordbodyany—
Receiver.incidentio_configs[].http_config.basic_auth.password_filebodystring—
Receiver.incidentio_configs[].http_config.basic_auth.password_refbodystring—PasswordRef is the name of the secret within the secret manager to use as the password.
Receiver.incidentio_configs[].http_config.basic_auth.usernamebodystring—
Receiver.incidentio_configs[].http_config.basic_auth.username_filebodystring—
Receiver.incidentio_configs[].http_config.basic_auth.username_refbodystring—UsernameRef is the name of the secret within the secret manager to use as the username.
Receiver.incidentio_configs[].http_config.bearer_tokenbodyany—The bearer token for the targets.
Receiver.incidentio_configs[].http_config.bearer_token_filebodystring—The bearer token file for the targets.
Receiver.incidentio_configs[].http_config.enable_http2bodyboolean—EnableHTTP2 specifies whether the client should configure HTTP2.
Receiver.incidentio_configs[].http_config.follow_redirectsbodyboolean—FollowRedirects specifies whether the client should follow HTTP 3xx redirects.
Receiver.incidentio_configs[].http_config.http_headersbodyany—HTTPHeaders specify headers to inject in the requests.
Receiver.incidentio_configs[].http_config.no_proxybodystring—
Receiver.incidentio_configs[].http_config.oauth2bodyo11y.OAuth2—
Receiver.incidentio_configs[].http_config.oauth2.TLSConfigbodyo11y.TLSConfig—
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.cabodystring—Text of the CA cert to use for the targets.
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.ca_filebodystring—The CA cert to use for the targets.
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.certbodystring—Text of the client cert file for the targets.
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.cert_filebodystring—The client cert file for the targets.
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.keybodyany—Text of the client key file for the targets.
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.key_filebodystring—The client key file for the targets.
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.max_versionbodyany—Maximum TLS version.
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.min_versionbodyany—Minimum TLS version.
Receiver.incidentio_configs[].http_config.oauth2.TLSConfig.server_namebodystring—Used to verify the hostname for the targets.
Receiver.incidentio_configs[].http_config.oauth2.audiencebodystring—Audience optionally specifies the intended audience of the request.
Receiver.incidentio_configs[].http_config.oauth2.claimsbodyobject—Claims is a map of claims to be added to the JWT token.
Receiver.incidentio_configs[].http_config.oauth2.claims.*bodyany—
Receiver.incidentio_configs[].http_config.oauth2.client_certificate_keybodyany—
Receiver.incidentio_configs[].http_config.oauth2.client_certificate_key_filebodystring—
Receiver.incidentio_configs[].http_config.oauth2.client_certificate_key_idbodystring—
Receiver.incidentio_configs[].http_config.oauth2.client_certificate_key_refbodystring—ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret.
Receiver.incidentio_configs[].http_config.oauth2.client_idbodystring—
Receiver.incidentio_configs[].http_config.oauth2.client_secretbodyany—
Receiver.incidentio_configs[].http_config.oauth2.client_secret_filebodystring—
Receiver.incidentio_configs[].http_config.oauth2.client_secret_refbodystring—ClientSecretRef is the name of the secret within the secret manager to use as the client secret.
Receiver.incidentio_configs[].http_config.oauth2.endpoint_paramsbodyobject—
Receiver.incidentio_configs[].http_config.oauth2.endpoint_params.*bodystring—
Receiver.incidentio_configs[].http_config.oauth2.grant_typebodystring—GrantType is the OAuth2 grant type to use.
Receiver.incidentio_configs[].http_config.oauth2.issbodystring—Iss is the OAuth client identifier used when communicating with the configured OAuth provider.
Receiver.incidentio_configs[].http_config.oauth2.no_proxybodystring—
Receiver.incidentio_configs[].http_config.oauth2.proxy_connect_headerbodyobject—
Receiver.incidentio_configs[].http_config.oauth2.proxy_connect_header.*bodyany[]—
Receiver.incidentio_configs[].http_config.oauth2.proxy_from_environmentbodyboolean—
Receiver.incidentio_configs[].http_config.oauth2.proxy_urlbodyany—
Receiver.incidentio_configs[].http_config.oauth2.scopesbodystring[]—
Receiver.incidentio_configs[].http_config.oauth2.signature_algorithmbodystring—SignatureAlgorithm is the RSA algorithm used to sign JWT token.
Receiver.incidentio_configs[].http_config.oauth2.token_urlbodystring—
Receiver.incidentio_configs[].http_config.proxy_connect_headerbodyobject—
Receiver.incidentio_configs[].http_config.proxy_connect_header.*bodyany[]—
Receiver.incidentio_configs[].http_config.proxy_from_environmentbodyboolean—
Receiver.incidentio_configs[].http_config.proxy_urlbodyany—
Receiver.incidentio_configs[].http_config.tls_configbodyo11y.TLSConfig—
Receiver.incidentio_configs[].http_config.tls_config.cabodystring—Text of the CA cert to use for the targets.
Receiver.incidentio_configs[].http_config.tls_config.ca_filebodystring—The CA cert to use for the targets.
Receiver.incidentio_configs[].http_config.tls_config.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.incidentio_configs[].http_config.tls_config.certbodystring—Text of the client cert file for the targets.
Receiver.incidentio_configs[].http_config.tls_config.cert_filebodystring—The client cert file for the targets.
Receiver.incidentio_configs[].http_config.tls_config.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.incidentio_configs[].http_config.tls_config.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.incidentio_configs[].http_config.tls_config.keybodyany—Text of the client key file for the targets.
Receiver.incidentio_configs[].http_config.tls_config.key_filebodystring—The client key file for the targets.
Receiver.incidentio_configs[].http_config.tls_config.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.incidentio_configs[].http_config.tls_config.max_versionbodyany—Maximum TLS version.
Receiver.incidentio_configs[].http_config.tls_config.min_versionbodyany—Minimum TLS version.
Receiver.incidentio_configs[].http_config.tls_config.server_namebodystring—Used to verify the hostname for the targets.
Receiver.incidentio_configs[].max_alertsbodyinteger (uint64)—MaxAlerts is the maximum number of alerts to be sent per incident.io message.
Receiver.incidentio_configs[].timeoutbodyinteger (int64)—Timeout is the maximum time allowed to invoke incident.io.
Receiver.incidentio_configs[].urlbodyany—URL to send POST request to.
Receiver.incidentio_configs[].url_filebodystring—
Receiver.jira_configsbodyo11y.JiraConfig[]—
Receiver.jira_configs[].NotifierConfigbodyo11y.NotifierConfig—
Receiver.jira_configs[].NotifierConfig.send_resolvedbodyboolean—
Receiver.jira_configs[].api_typebodystring—
Receiver.jira_configs[].api_urlbodyany—
Receiver.jira_configs[].custom_fieldsbodyobject—
Receiver.jira_configs[].custom_fields.*bodyany—
Receiver.jira_configs[].descriptionbodyo11y.JiraFieldConfig—
Receiver.jira_configs[].description.enable_updatebodyboolean—EnableUpdate indicates whether this field should be omitted when updating an existing issue.
Receiver.jira_configs[].description.templatebodystring—Template is the template string used to render the field.
Receiver.jira_configs[].http_configbodyo11y.HTTPClientConfig—
Receiver.jira_configs[].http_config.authorizationbodyo11y.Authorization—
Receiver.jira_configs[].http_config.authorization.credentialsbodyany—
Receiver.jira_configs[].http_config.authorization.credentials_filebodystring—
Receiver.jira_configs[].http_config.authorization.credentials_refbodystring—CredentialsRef is the name of the secret within the secret manager to use as credentials.
Receiver.jira_configs[].http_config.authorization.typebodystring—
Receiver.jira_configs[].http_config.basic_authbodyo11y.BasicAuth—
Receiver.jira_configs[].http_config.basic_auth.passwordbodyany—
Receiver.jira_configs[].http_config.basic_auth.password_filebodystring—
Receiver.jira_configs[].http_config.basic_auth.password_refbodystring—PasswordRef is the name of the secret within the secret manager to use as the password.
Receiver.jira_configs[].http_config.basic_auth.usernamebodystring—
Receiver.jira_configs[].http_config.basic_auth.username_filebodystring—
Receiver.jira_configs[].http_config.basic_auth.username_refbodystring—UsernameRef is the name of the secret within the secret manager to use as the username.
Receiver.jira_configs[].http_config.bearer_tokenbodyany—The bearer token for the targets.
Receiver.jira_configs[].http_config.bearer_token_filebodystring—The bearer token file for the targets.
Receiver.jira_configs[].http_config.enable_http2bodyboolean—EnableHTTP2 specifies whether the client should configure HTTP2.
Receiver.jira_configs[].http_config.follow_redirectsbodyboolean—FollowRedirects specifies whether the client should follow HTTP 3xx redirects.
Receiver.jira_configs[].http_config.http_headersbodyany—HTTPHeaders specify headers to inject in the requests.
Receiver.jira_configs[].http_config.no_proxybodystring—
Receiver.jira_configs[].http_config.oauth2bodyo11y.OAuth2—
Receiver.jira_configs[].http_config.oauth2.TLSConfigbodyo11y.TLSConfig—
Receiver.jira_configs[].http_config.oauth2.TLSConfig.cabodystring—Text of the CA cert to use for the targets.
Receiver.jira_configs[].http_config.oauth2.TLSConfig.ca_filebodystring—The CA cert to use for the targets.
Receiver.jira_configs[].http_config.oauth2.TLSConfig.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.jira_configs[].http_config.oauth2.TLSConfig.certbodystring—Text of the client cert file for the targets.
Receiver.jira_configs[].http_config.oauth2.TLSConfig.cert_filebodystring—The client cert file for the targets.
Receiver.jira_configs[].http_config.oauth2.TLSConfig.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.jira_configs[].http_config.oauth2.TLSConfig.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.jira_configs[].http_config.oauth2.TLSConfig.keybodyany—Text of the client key file for the targets.
Receiver.jira_configs[].http_config.oauth2.TLSConfig.key_filebodystring—The client key file for the targets.
Receiver.jira_configs[].http_config.oauth2.TLSConfig.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.jira_configs[].http_config.oauth2.TLSConfig.max_versionbodyany—Maximum TLS version.
Receiver.jira_configs[].http_config.oauth2.TLSConfig.min_versionbodyany—Minimum TLS version.
Receiver.jira_configs[].http_config.oauth2.TLSConfig.server_namebodystring—Used to verify the hostname for the targets.
Receiver.jira_configs[].http_config.oauth2.audiencebodystring—Audience optionally specifies the intended audience of the request.
Receiver.jira_configs[].http_config.oauth2.claimsbodyobject—Claims is a map of claims to be added to the JWT token.
Receiver.jira_configs[].http_config.oauth2.claims.*bodyany—
Receiver.jira_configs[].http_config.oauth2.client_certificate_keybodyany—
Receiver.jira_configs[].http_config.oauth2.client_certificate_key_filebodystring—
Receiver.jira_configs[].http_config.oauth2.client_certificate_key_idbodystring—
Receiver.jira_configs[].http_config.oauth2.client_certificate_key_refbodystring—ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret.
Receiver.jira_configs[].http_config.oauth2.client_idbodystring—
Receiver.jira_configs[].http_config.oauth2.client_secretbodyany—
Receiver.jira_configs[].http_config.oauth2.client_secret_filebodystring—
Receiver.jira_configs[].http_config.oauth2.client_secret_refbodystring—ClientSecretRef is the name of the secret within the secret manager to use as the client secret.
Receiver.jira_configs[].http_config.oauth2.endpoint_paramsbodyobject—
Receiver.jira_configs[].http_config.oauth2.endpoint_params.*bodystring—
Receiver.jira_configs[].http_config.oauth2.grant_typebodystring—GrantType is the OAuth2 grant type to use.
Receiver.jira_configs[].http_config.oauth2.issbodystring—Iss is the OAuth client identifier used when communicating with the configured OAuth provider.
Receiver.jira_configs[].http_config.oauth2.no_proxybodystring—
Receiver.jira_configs[].http_config.oauth2.proxy_connect_headerbodyobject—
Receiver.jira_configs[].http_config.oauth2.proxy_connect_header.*bodyany[]—
Receiver.jira_configs[].http_config.oauth2.proxy_from_environmentbodyboolean—
Receiver.jira_configs[].http_config.oauth2.proxy_urlbodyany—
Receiver.jira_configs[].http_config.oauth2.scopesbodystring[]—
Receiver.jira_configs[].http_config.oauth2.signature_algorithmbodystring—SignatureAlgorithm is the RSA algorithm used to sign JWT token.
Receiver.jira_configs[].http_config.oauth2.token_urlbodystring—
Receiver.jira_configs[].http_config.proxy_connect_headerbodyobject—
Receiver.jira_configs[].http_config.proxy_connect_header.*bodyany[]—
Receiver.jira_configs[].http_config.proxy_from_environmentbodyboolean—
Receiver.jira_configs[].http_config.proxy_urlbodyany—
Receiver.jira_configs[].http_config.tls_configbodyo11y.TLSConfig—
Receiver.jira_configs[].http_config.tls_config.cabodystring—Text of the CA cert to use for the targets.
Receiver.jira_configs[].http_config.tls_config.ca_filebodystring—The CA cert to use for the targets.
Receiver.jira_configs[].http_config.tls_config.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.jira_configs[].http_config.tls_config.certbodystring—Text of the client cert file for the targets.
Receiver.jira_configs[].http_config.tls_config.cert_filebodystring—The client cert file for the targets.
Receiver.jira_configs[].http_config.tls_config.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.jira_configs[].http_config.tls_config.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.jira_configs[].http_config.tls_config.keybodyany—Text of the client key file for the targets.
Receiver.jira_configs[].http_config.tls_config.key_filebodystring—The client key file for the targets.
Receiver.jira_configs[].http_config.tls_config.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.jira_configs[].http_config.tls_config.max_versionbodyany—Maximum TLS version.
Receiver.jira_configs[].http_config.tls_config.min_versionbodyany—Minimum TLS version.
Receiver.jira_configs[].http_config.tls_config.server_namebodystring—Used to verify the hostname for the targets.
Receiver.jira_configs[].issue_typebodystring—
Receiver.jira_configs[].labelsbodystring[]—
Receiver.jira_configs[].prioritybodystring—
Receiver.jira_configs[].projectbodystring—
Receiver.jira_configs[].reopen_durationbodyany—
Receiver.jira_configs[].reopen_transitionbodystring—
Receiver.jira_configs[].resolve_transitionbodystring—
Receiver.jira_configs[].summarybodyo11y.JiraFieldConfig—
Receiver.jira_configs[].summary.enable_updatebodyboolean—EnableUpdate indicates whether this field should be omitted when updating an existing issue.
Receiver.jira_configs[].summary.templatebodystring—Template is the template string used to render the field.
Receiver.jira_configs[].wont_fix_resolutionbodystring—
Receiver.mattermost_configsbodyo11y.MattermostConfig[]—
Receiver.mattermost_configs[].NotifierConfigbodyo11y.NotifierConfig—
Receiver.mattermost_configs[].NotifierConfig.send_resolvedbodyboolean—
Receiver.mattermost_configs[].attachmentsbodyo11y.MattermostAttachment[]—
Receiver.mattermost_configs[].attachments[].author_iconbodystring—
Receiver.mattermost_configs[].attachments[].author_linkbodystring—
Receiver.mattermost_configs[].attachments[].author_namebodystring—
Receiver.mattermost_configs[].attachments[].colorbodystring—
Receiver.mattermost_configs[].attachments[].fallbackbodystring—
Receiver.mattermost_configs[].attachments[].fieldsbodyo11y.MattermostField[]—
Receiver.mattermost_configs[].attachments[].fields[].shortbodyboolean—
Receiver.mattermost_configs[].attachments[].fields[].titlebodystring—
Receiver.mattermost_configs[].attachments[].fields[].valuebodystring—
Receiver.mattermost_configs[].attachments[].footerbodystring—
Receiver.mattermost_configs[].attachments[].footer_iconbodystring—
Receiver.mattermost_configs[].attachments[].image_urlbodystring—
Receiver.mattermost_configs[].attachments[].pretextbodystring—
Receiver.mattermost_configs[].attachments[].textbodystring—
Receiver.mattermost_configs[].attachments[].thumb_urlbodystring—
Receiver.mattermost_configs[].attachments[].titlebodystring—
Receiver.mattermost_configs[].attachments[].title_linkbodystring—
Receiver.mattermost_configs[].channelbodystring—
Receiver.mattermost_configs[].http_configbodyo11y.HTTPClientConfig—
Receiver.mattermost_configs[].http_config.authorizationbodyo11y.Authorization—
Receiver.mattermost_configs[].http_config.authorization.credentialsbodyany—
Receiver.mattermost_configs[].http_config.authorization.credentials_filebodystring—
Receiver.mattermost_configs[].http_config.authorization.credentials_refbodystring—CredentialsRef is the name of the secret within the secret manager to use as credentials.
Receiver.mattermost_configs[].http_config.authorization.typebodystring—
Receiver.mattermost_configs[].http_config.basic_authbodyo11y.BasicAuth—
Receiver.mattermost_configs[].http_config.basic_auth.passwordbodyany—
Receiver.mattermost_configs[].http_config.basic_auth.password_filebodystring—
Receiver.mattermost_configs[].http_config.basic_auth.password_refbodystring—PasswordRef is the name of the secret within the secret manager to use as the password.
Receiver.mattermost_configs[].http_config.basic_auth.usernamebodystring—
Receiver.mattermost_configs[].http_config.basic_auth.username_filebodystring—
Receiver.mattermost_configs[].http_config.basic_auth.username_refbodystring—UsernameRef is the name of the secret within the secret manager to use as the username.
Receiver.mattermost_configs[].http_config.bearer_tokenbodyany—The bearer token for the targets.
Receiver.mattermost_configs[].http_config.bearer_token_filebodystring—The bearer token file for the targets.
Receiver.mattermost_configs[].http_config.enable_http2bodyboolean—EnableHTTP2 specifies whether the client should configure HTTP2.
Receiver.mattermost_configs[].http_config.follow_redirectsbodyboolean—FollowRedirects specifies whether the client should follow HTTP 3xx redirects.
Receiver.mattermost_configs[].http_config.http_headersbodyany—HTTPHeaders specify headers to inject in the requests.
Receiver.mattermost_configs[].http_config.no_proxybodystring—
Receiver.mattermost_configs[].http_config.oauth2bodyo11y.OAuth2—
Receiver.mattermost_configs[].http_config.oauth2.TLSConfigbodyo11y.TLSConfig—
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.cabodystring—Text of the CA cert to use for the targets.
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.ca_filebodystring—The CA cert to use for the targets.
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.certbodystring—Text of the client cert file for the targets.
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.cert_filebodystring—The client cert file for the targets.
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.keybodyany—Text of the client key file for the targets.
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.key_filebodystring—The client key file for the targets.
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.max_versionbodyany—Maximum TLS version.
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.min_versionbodyany—Minimum TLS version.
Receiver.mattermost_configs[].http_config.oauth2.TLSConfig.server_namebodystring—Used to verify the hostname for the targets.
Receiver.mattermost_configs[].http_config.oauth2.audiencebodystring—Audience optionally specifies the intended audience of the request.
Receiver.mattermost_configs[].http_config.oauth2.claimsbodyobject—Claims is a map of claims to be added to the JWT token.
Receiver.mattermost_configs[].http_config.oauth2.claims.*bodyany—
Receiver.mattermost_configs[].http_config.oauth2.client_certificate_keybodyany—
Receiver.mattermost_configs[].http_config.oauth2.client_certificate_key_filebodystring—
Receiver.mattermost_configs[].http_config.oauth2.client_certificate_key_idbodystring—
Receiver.mattermost_configs[].http_config.oauth2.client_certificate_key_refbodystring—ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret.
Receiver.mattermost_configs[].http_config.oauth2.client_idbodystring—
Receiver.mattermost_configs[].http_config.oauth2.client_secretbodyany—
Receiver.mattermost_configs[].http_config.oauth2.client_secret_filebodystring—
Receiver.mattermost_configs[].http_config.oauth2.client_secret_refbodystring—ClientSecretRef is the name of the secret within the secret manager to use as the client secret.
Receiver.mattermost_configs[].http_config.oauth2.endpoint_paramsbodyobject—
Receiver.mattermost_configs[].http_config.oauth2.endpoint_params.*bodystring—
Receiver.mattermost_configs[].http_config.oauth2.grant_typebodystring—GrantType is the OAuth2 grant type to use.
Receiver.mattermost_configs[].http_config.oauth2.issbodystring—Iss is the OAuth client identifier used when communicating with the configured OAuth provider.
Receiver.mattermost_configs[].http_config.oauth2.no_proxybodystring—
Receiver.mattermost_configs[].http_config.oauth2.proxy_connect_headerbodyobject—
Receiver.mattermost_configs[].http_config.oauth2.proxy_connect_header.*bodyany[]—
Receiver.mattermost_configs[].http_config.oauth2.proxy_from_environmentbodyboolean—
Receiver.mattermost_configs[].http_config.oauth2.proxy_urlbodyany—
Receiver.mattermost_configs[].http_config.oauth2.scopesbodystring[]—
Receiver.mattermost_configs[].http_config.oauth2.signature_algorithmbodystring—SignatureAlgorithm is the RSA algorithm used to sign JWT token.
Receiver.mattermost_configs[].http_config.oauth2.token_urlbodystring—
Receiver.mattermost_configs[].http_config.proxy_connect_headerbodyobject—
Receiver.mattermost_configs[].http_config.proxy_connect_header.*bodyany[]—
Receiver.mattermost_configs[].http_config.proxy_from_environmentbodyboolean—
Receiver.mattermost_configs[].http_config.proxy_urlbodyany—
Receiver.mattermost_configs[].http_config.tls_configbodyo11y.TLSConfig—
Receiver.mattermost_configs[].http_config.tls_config.cabodystring—Text of the CA cert to use for the targets.
Receiver.mattermost_configs[].http_config.tls_config.ca_filebodystring—The CA cert to use for the targets.
Receiver.mattermost_configs[].http_config.tls_config.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.mattermost_configs[].http_config.tls_config.certbodystring—Text of the client cert file for the targets.
Receiver.mattermost_configs[].http_config.tls_config.cert_filebodystring—The client cert file for the targets.
Receiver.mattermost_configs[].http_config.tls_config.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.mattermost_configs[].http_config.tls_config.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.mattermost_configs[].http_config.tls_config.keybodyany—Text of the client key file for the targets.
Receiver.mattermost_configs[].http_config.tls_config.key_filebodystring—The client key file for the targets.
Receiver.mattermost_configs[].http_config.tls_config.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.mattermost_configs[].http_config.tls_config.max_versionbodyany—Maximum TLS version.
Receiver.mattermost_configs[].http_config.tls_config.min_versionbodyany—Minimum TLS version.
Receiver.mattermost_configs[].http_config.tls_config.server_namebodystring—Used to verify the hostname for the targets.
Receiver.mattermost_configs[].icon_emojibodystring—
Receiver.mattermost_configs[].icon_urlbodystring—
Receiver.mattermost_configs[].prioritybodyo11y.MattermostPriority—
Receiver.mattermost_configs[].priority.persistent_notificationsbodyboolean—
Receiver.mattermost_configs[].priority.prioritybodystring—
Receiver.mattermost_configs[].priority.requested_ackbodyboolean—
Receiver.mattermost_configs[].propsbodyo11y.MattermostProps—
Receiver.mattermost_configs[].props.cardbodystring—
Receiver.mattermost_configs[].textbodystring—
Receiver.mattermost_configs[].typebodystring—
Receiver.mattermost_configs[].usernamebodystring—
Receiver.mattermost_configs[].webhook_urlbodyany—
Receiver.mattermost_configs[].webhook_url_filebodystring—
Receiver.msteams_configsbodyo11y.MSTeamsConfig[]—
Receiver.msteams_configs[].NotifierConfigbodyo11y.NotifierConfig—
Receiver.msteams_configs[].NotifierConfig.send_resolvedbodyboolean—
Receiver.msteams_configs[].http_configbodyo11y.HTTPClientConfig—
Receiver.msteams_configs[].http_config.authorizationbodyo11y.Authorization—
Receiver.msteams_configs[].http_config.authorization.credentialsbodyany—
Receiver.msteams_configs[].http_config.authorization.credentials_filebodystring—
Receiver.msteams_configs[].http_config.authorization.credentials_refbodystring—CredentialsRef is the name of the secret within the secret manager to use as credentials.
Receiver.msteams_configs[].http_config.authorization.typebodystring—
Receiver.msteams_configs[].http_config.basic_authbodyo11y.BasicAuth—
Receiver.msteams_configs[].http_config.basic_auth.passwordbodyany—
Receiver.msteams_configs[].http_config.basic_auth.password_filebodystring—
Receiver.msteams_configs[].http_config.basic_auth.password_refbodystring—PasswordRef is the name of the secret within the secret manager to use as the password.
Receiver.msteams_configs[].http_config.basic_auth.usernamebodystring—
Receiver.msteams_configs[].http_config.basic_auth.username_filebodystring—
Receiver.msteams_configs[].http_config.basic_auth.username_refbodystring—UsernameRef is the name of the secret within the secret manager to use as the username.
Receiver.msteams_configs[].http_config.bearer_tokenbodyany—The bearer token for the targets.
Receiver.msteams_configs[].http_config.bearer_token_filebodystring—The bearer token file for the targets.
Receiver.msteams_configs[].http_config.enable_http2bodyboolean—EnableHTTP2 specifies whether the client should configure HTTP2.
Receiver.msteams_configs[].http_config.follow_redirectsbodyboolean—FollowRedirects specifies whether the client should follow HTTP 3xx redirects.
Receiver.msteams_configs[].http_config.http_headersbodyany—HTTPHeaders specify headers to inject in the requests.
Receiver.msteams_configs[].http_config.no_proxybodystring—
Receiver.msteams_configs[].http_config.oauth2bodyo11y.OAuth2—
Receiver.msteams_configs[].http_config.oauth2.TLSConfigbodyo11y.TLSConfig—
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.cabodystring—Text of the CA cert to use for the targets.
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.ca_filebodystring—The CA cert to use for the targets.
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.certbodystring—Text of the client cert file for the targets.
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.cert_filebodystring—The client cert file for the targets.
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.keybodyany—Text of the client key file for the targets.
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.key_filebodystring—The client key file for the targets.
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.max_versionbodyany—Maximum TLS version.
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.min_versionbodyany—Minimum TLS version.
Receiver.msteams_configs[].http_config.oauth2.TLSConfig.server_namebodystring—Used to verify the hostname for the targets.
Receiver.msteams_configs[].http_config.oauth2.audiencebodystring—Audience optionally specifies the intended audience of the request.
Receiver.msteams_configs[].http_config.oauth2.claimsbodyobject—Claims is a map of claims to be added to the JWT token.
Receiver.msteams_configs[].http_config.oauth2.claims.*bodyany—
Receiver.msteams_configs[].http_config.oauth2.client_certificate_keybodyany—
Receiver.msteams_configs[].http_config.oauth2.client_certificate_key_filebodystring—
Receiver.msteams_configs[].http_config.oauth2.client_certificate_key_idbodystring—
Receiver.msteams_configs[].http_config.oauth2.client_certificate_key_refbodystring—ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret.
Receiver.msteams_configs[].http_config.oauth2.client_idbodystring—
Receiver.msteams_configs[].http_config.oauth2.client_secretbodyany—
Receiver.msteams_configs[].http_config.oauth2.client_secret_filebodystring—
Receiver.msteams_configs[].http_config.oauth2.client_secret_refbodystring—ClientSecretRef is the name of the secret within the secret manager to use as the client secret.
Receiver.msteams_configs[].http_config.oauth2.endpoint_paramsbodyobject—
Receiver.msteams_configs[].http_config.oauth2.endpoint_params.*bodystring—
Receiver.msteams_configs[].http_config.oauth2.grant_typebodystring—GrantType is the OAuth2 grant type to use.
Receiver.msteams_configs[].http_config.oauth2.issbodystring—Iss is the OAuth client identifier used when communicating with the configured OAuth provider.
Receiver.msteams_configs[].http_config.oauth2.no_proxybodystring—
Receiver.msteams_configs[].http_config.oauth2.proxy_connect_headerbodyobject—
Receiver.msteams_configs[].http_config.oauth2.proxy_connect_header.*bodyany[]—
Receiver.msteams_configs[].http_config.oauth2.proxy_from_environmentbodyboolean—
Receiver.msteams_configs[].http_config.oauth2.proxy_urlbodyany—
Receiver.msteams_configs[].http_config.oauth2.scopesbodystring[]—
Receiver.msteams_configs[].http_config.oauth2.signature_algorithmbodystring—SignatureAlgorithm is the RSA algorithm used to sign JWT token.
Receiver.msteams_configs[].http_config.oauth2.token_urlbodystring—
Receiver.msteams_configs[].http_config.proxy_connect_headerbodyobject—
Receiver.msteams_configs[].http_config.proxy_connect_header.*bodyany[]—
Receiver.msteams_configs[].http_config.proxy_from_environmentbodyboolean—
Receiver.msteams_configs[].http_config.proxy_urlbodyany—
Receiver.msteams_configs[].http_config.tls_configbodyo11y.TLSConfig—
Receiver.msteams_configs[].http_config.tls_config.cabodystring—Text of the CA cert to use for the targets.
Receiver.msteams_configs[].http_config.tls_config.ca_filebodystring—The CA cert to use for the targets.
Receiver.msteams_configs[].http_config.tls_config.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.msteams_configs[].http_config.tls_config.certbodystring—Text of the client cert file for the targets.
Receiver.msteams_configs[].http_config.tls_config.cert_filebodystring—The client cert file for the targets.
Receiver.msteams_configs[].http_config.tls_config.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.msteams_configs[].http_config.tls_config.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.msteams_configs[].http_config.tls_config.keybodyany—Text of the client key file for the targets.
Receiver.msteams_configs[].http_config.tls_config.key_filebodystring—The client key file for the targets.
Receiver.msteams_configs[].http_config.tls_config.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.msteams_configs[].http_config.tls_config.max_versionbodyany—Maximum TLS version.
Receiver.msteams_configs[].http_config.tls_config.min_versionbodyany—Minimum TLS version.
Receiver.msteams_configs[].http_config.tls_config.server_namebodystring—Used to verify the hostname for the targets.
Receiver.msteams_configs[].summarybodystring—
Receiver.msteams_configs[].textbodystring—
Receiver.msteams_configs[].titlebodystring—
Receiver.msteams_configs[].webhook_urlbodyany—
Receiver.msteams_configs[].webhook_url_filebodystring—
Receiver.msteamsv2_configsbodyo11y.MSTeamsV2Config[]—
Receiver.msteamsv2_configs[].NotifierConfigbodyo11y.NotifierConfig—
Receiver.msteamsv2_configs[].NotifierConfig.send_resolvedbodyboolean—
Receiver.msteamsv2_configs[].http_configbodyo11y.HTTPClientConfig—
Receiver.msteamsv2_configs[].http_config.authorizationbodyo11y.Authorization—
Receiver.msteamsv2_configs[].http_config.authorization.credentialsbodyany—
Receiver.msteamsv2_configs[].http_config.authorization.credentials_filebodystring—
Receiver.msteamsv2_configs[].http_config.authorization.credentials_refbodystring—CredentialsRef is the name of the secret within the secret manager to use as credentials.
Receiver.msteamsv2_configs[].http_config.authorization.typebodystring—
Receiver.msteamsv2_configs[].http_config.basic_authbodyo11y.BasicAuth—
Receiver.msteamsv2_configs[].http_config.basic_auth.passwordbodyany—
Receiver.msteamsv2_configs[].http_config.basic_auth.password_filebodystring—
Receiver.msteamsv2_configs[].http_config.basic_auth.password_refbodystring—PasswordRef is the name of the secret within the secret manager to use as the password.
Receiver.msteamsv2_configs[].http_config.basic_auth.usernamebodystring—
Receiver.msteamsv2_configs[].http_config.basic_auth.username_filebodystring—
Receiver.msteamsv2_configs[].http_config.basic_auth.username_refbodystring—UsernameRef is the name of the secret within the secret manager to use as the username.
Receiver.msteamsv2_configs[].http_config.bearer_tokenbodyany—The bearer token for the targets.
Receiver.msteamsv2_configs[].http_config.bearer_token_filebodystring—The bearer token file for the targets.
Receiver.msteamsv2_configs[].http_config.enable_http2bodyboolean—EnableHTTP2 specifies whether the client should configure HTTP2.
Receiver.msteamsv2_configs[].http_config.follow_redirectsbodyboolean—FollowRedirects specifies whether the client should follow HTTP 3xx redirects.
Receiver.msteamsv2_configs[].http_config.http_headersbodyany—HTTPHeaders specify headers to inject in the requests.
Receiver.msteamsv2_configs[].http_config.no_proxybodystring—
Receiver.msteamsv2_configs[].http_config.oauth2bodyo11y.OAuth2—
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfigbodyo11y.TLSConfig—
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.cabodystring—Text of the CA cert to use for the targets.
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.ca_filebodystring—The CA cert to use for the targets.
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.certbodystring—Text of the client cert file for the targets.
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.cert_filebodystring—The client cert file for the targets.
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.keybodyany—Text of the client key file for the targets.
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.key_filebodystring—The client key file for the targets.
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.max_versionbodyany—Maximum TLS version.
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.min_versionbodyany—Minimum TLS version.
Receiver.msteamsv2_configs[].http_config.oauth2.TLSConfig.server_namebodystring—Used to verify the hostname for the targets.
Receiver.msteamsv2_configs[].http_config.oauth2.audiencebodystring—Audience optionally specifies the intended audience of the request.
Receiver.msteamsv2_configs[].http_config.oauth2.claimsbodyobject—Claims is a map of claims to be added to the JWT token.
Receiver.msteamsv2_configs[].http_config.oauth2.claims.*bodyany—
Receiver.msteamsv2_configs[].http_config.oauth2.client_certificate_keybodyany—
Receiver.msteamsv2_configs[].http_config.oauth2.client_certificate_key_filebodystring—
Receiver.msteamsv2_configs[].http_config.oauth2.client_certificate_key_idbodystring—
Receiver.msteamsv2_configs[].http_config.oauth2.client_certificate_key_refbodystring—ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret.
Receiver.msteamsv2_configs[].http_config.oauth2.client_idbodystring—
Receiver.msteamsv2_configs[].http_config.oauth2.client_secretbodyany—
Receiver.msteamsv2_configs[].http_config.oauth2.client_secret_filebodystring—
Receiver.msteamsv2_configs[].http_config.oauth2.client_secret_refbodystring—ClientSecretRef is the name of the secret within the secret manager to use as the client secret.
Receiver.msteamsv2_configs[].http_config.oauth2.endpoint_paramsbodyobject—
Receiver.msteamsv2_configs[].http_config.oauth2.endpoint_params.*bodystring—
Receiver.msteamsv2_configs[].http_config.oauth2.grant_typebodystring—GrantType is the OAuth2 grant type to use.
Receiver.msteamsv2_configs[].http_config.oauth2.issbodystring—Iss is the OAuth client identifier used when communicating with the configured OAuth provider.
Receiver.msteamsv2_configs[].http_config.oauth2.no_proxybodystring—
Receiver.msteamsv2_configs[].http_config.oauth2.proxy_connect_headerbodyobject—
Receiver.msteamsv2_configs[].http_config.oauth2.proxy_connect_header.*bodyany[]—
Receiver.msteamsv2_configs[].http_config.oauth2.proxy_from_environmentbodyboolean—
Receiver.msteamsv2_configs[].http_config.oauth2.proxy_urlbodyany—
Receiver.msteamsv2_configs[].http_config.oauth2.scopesbodystring[]—
Receiver.msteamsv2_configs[].http_config.oauth2.signature_algorithmbodystring—SignatureAlgorithm is the RSA algorithm used to sign JWT token.
Receiver.msteamsv2_configs[].http_config.oauth2.token_urlbodystring—
Receiver.msteamsv2_configs[].http_config.proxy_connect_headerbodyobject—
Receiver.msteamsv2_configs[].http_config.proxy_connect_header.*bodyany[]—
Receiver.msteamsv2_configs[].http_config.proxy_from_environmentbodyboolean—
Receiver.msteamsv2_configs[].http_config.proxy_urlbodyany—
Receiver.msteamsv2_configs[].http_config.tls_configbodyo11y.TLSConfig—
Receiver.msteamsv2_configs[].http_config.tls_config.cabodystring—Text of the CA cert to use for the targets.
Receiver.msteamsv2_configs[].http_config.tls_config.ca_filebodystring—The CA cert to use for the targets.
Receiver.msteamsv2_configs[].http_config.tls_config.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.msteamsv2_configs[].http_config.tls_config.certbodystring—Text of the client cert file for the targets.
Receiver.msteamsv2_configs[].http_config.tls_config.cert_filebodystring—The client cert file for the targets.
Receiver.msteamsv2_configs[].http_config.tls_config.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.msteamsv2_configs[].http_config.tls_config.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.msteamsv2_configs[].http_config.tls_config.keybodyany—Text of the client key file for the targets.
Receiver.msteamsv2_configs[].http_config.tls_config.key_filebodystring—The client key file for the targets.
Receiver.msteamsv2_configs[].http_config.tls_config.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.msteamsv2_configs[].http_config.tls_config.max_versionbodyany—Maximum TLS version.
Receiver.msteamsv2_configs[].http_config.tls_config.min_versionbodyany—Minimum TLS version.
Receiver.msteamsv2_configs[].http_config.tls_config.server_namebodystring—Used to verify the hostname for the targets.
Receiver.msteamsv2_configs[].textbodystring—
Receiver.msteamsv2_configs[].titlebodystring—
Receiver.msteamsv2_configs[].webhook_urlbodyany—
Receiver.msteamsv2_configs[].webhook_url_filebodystring—
Receiver.namebodystring—A unique identifier for this receiver.
Receiver.opsgenie_configsbodyo11y.OpsGenieConfig[]—
Receiver.opsgenie_configs[].NotifierConfigbodyo11y.NotifierConfig—
Receiver.opsgenie_configs[].NotifierConfig.send_resolvedbodyboolean—
Receiver.opsgenie_configs[].actionsbodystring—
Receiver.opsgenie_configs[].api_keybodyany—
Receiver.opsgenie_configs[].api_key_filebodystring—
Receiver.opsgenie_configs[].api_urlbodyany—
Receiver.opsgenie_configs[].descriptionbodystring—
Receiver.opsgenie_configs[].detailsbodyobject—
Receiver.opsgenie_configs[].details.*bodystring—
Receiver.opsgenie_configs[].entitybodystring—
Receiver.opsgenie_configs[].http_configbodyo11y.HTTPClientConfig—
Receiver.opsgenie_configs[].http_config.authorizationbodyo11y.Authorization—
Receiver.opsgenie_configs[].http_config.authorization.credentialsbodyany—
Receiver.opsgenie_configs[].http_config.authorization.credentials_filebodystring—
Receiver.opsgenie_configs[].http_config.authorization.credentials_refbodystring—CredentialsRef is the name of the secret within the secret manager to use as credentials.
Receiver.opsgenie_configs[].http_config.authorization.typebodystring—
Receiver.opsgenie_configs[].http_config.basic_authbodyo11y.BasicAuth—
Receiver.opsgenie_configs[].http_config.basic_auth.passwordbodyany—
Receiver.opsgenie_configs[].http_config.basic_auth.password_filebodystring—
Receiver.opsgenie_configs[].http_config.basic_auth.password_refbodystring—PasswordRef is the name of the secret within the secret manager to use as the password.
Receiver.opsgenie_configs[].http_config.basic_auth.usernamebodystring—
Receiver.opsgenie_configs[].http_config.basic_auth.username_filebodystring—
Receiver.opsgenie_configs[].http_config.basic_auth.username_refbodystring—UsernameRef is the name of the secret within the secret manager to use as the username.
Receiver.opsgenie_configs[].http_config.bearer_tokenbodyany—The bearer token for the targets.
Receiver.opsgenie_configs[].http_config.bearer_token_filebodystring—The bearer token file for the targets.
Receiver.opsgenie_configs[].http_config.enable_http2bodyboolean—EnableHTTP2 specifies whether the client should configure HTTP2.
Receiver.opsgenie_configs[].http_config.follow_redirectsbodyboolean—FollowRedirects specifies whether the client should follow HTTP 3xx redirects.
Receiver.opsgenie_configs[].http_config.http_headersbodyany—HTTPHeaders specify headers to inject in the requests.
Receiver.opsgenie_configs[].http_config.no_proxybodystring—
Receiver.opsgenie_configs[].http_config.oauth2bodyo11y.OAuth2—
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfigbodyo11y.TLSConfig—
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.cabodystring—Text of the CA cert to use for the targets.
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.ca_filebodystring—The CA cert to use for the targets.
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.certbodystring—Text of the client cert file for the targets.
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.cert_filebodystring—The client cert file for the targets.
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.keybodyany—Text of the client key file for the targets.
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.key_filebodystring—The client key file for the targets.
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.max_versionbodyany—Maximum TLS version.
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.min_versionbodyany—Minimum TLS version.
Receiver.opsgenie_configs[].http_config.oauth2.TLSConfig.server_namebodystring—Used to verify the hostname for the targets.
Receiver.opsgenie_configs[].http_config.oauth2.audiencebodystring—Audience optionally specifies the intended audience of the request.
Receiver.opsgenie_configs[].http_config.oauth2.claimsbodyobject—Claims is a map of claims to be added to the JWT token.
Receiver.opsgenie_configs[].http_config.oauth2.claims.*bodyany—
Receiver.opsgenie_configs[].http_config.oauth2.client_certificate_keybodyany—
Receiver.opsgenie_configs[].http_config.oauth2.client_certificate_key_filebodystring—
Receiver.opsgenie_configs[].http_config.oauth2.client_certificate_key_idbodystring—
Receiver.opsgenie_configs[].http_config.oauth2.client_certificate_key_refbodystring—ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret.
Receiver.opsgenie_configs[].http_config.oauth2.client_idbodystring—
Receiver.opsgenie_configs[].http_config.oauth2.client_secretbodyany—
Receiver.opsgenie_configs[].http_config.oauth2.client_secret_filebodystring—
Receiver.opsgenie_configs[].http_config.oauth2.client_secret_refbodystring—ClientSecretRef is the name of the secret within the secret manager to use as the client secret.
Receiver.opsgenie_configs[].http_config.oauth2.endpoint_paramsbodyobject—
Receiver.opsgenie_configs[].http_config.oauth2.endpoint_params.*bodystring—
Receiver.opsgenie_configs[].http_config.oauth2.grant_typebodystring—GrantType is the OAuth2 grant type to use.
Receiver.opsgenie_configs[].http_config.oauth2.issbodystring—Iss is the OAuth client identifier used when communicating with the configured OAuth provider.
Receiver.opsgenie_configs[].http_config.oauth2.no_proxybodystring—
Receiver.opsgenie_configs[].http_config.oauth2.proxy_connect_headerbodyobject—
Receiver.opsgenie_configs[].http_config.oauth2.proxy_connect_header.*bodyany[]—
Receiver.opsgenie_configs[].http_config.oauth2.proxy_from_environmentbodyboolean—
Receiver.opsgenie_configs[].http_config.oauth2.proxy_urlbodyany—
Receiver.opsgenie_configs[].http_config.oauth2.scopesbodystring[]—
Receiver.opsgenie_configs[].http_config.oauth2.signature_algorithmbodystring—SignatureAlgorithm is the RSA algorithm used to sign JWT token.
Receiver.opsgenie_configs[].http_config.oauth2.token_urlbodystring—
Receiver.opsgenie_configs[].http_config.proxy_connect_headerbodyobject—
Receiver.opsgenie_configs[].http_config.proxy_connect_header.*bodyany[]—
Receiver.opsgenie_configs[].http_config.proxy_from_environmentbodyboolean—
Receiver.opsgenie_configs[].http_config.proxy_urlbodyany—
Receiver.opsgenie_configs[].http_config.tls_configbodyo11y.TLSConfig—
Receiver.opsgenie_configs[].http_config.tls_config.cabodystring—Text of the CA cert to use for the targets.
Receiver.opsgenie_configs[].http_config.tls_config.ca_filebodystring—The CA cert to use for the targets.
Receiver.opsgenie_configs[].http_config.tls_config.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.opsgenie_configs[].http_config.tls_config.certbodystring—Text of the client cert file for the targets.
Receiver.opsgenie_configs[].http_config.tls_config.cert_filebodystring—The client cert file for the targets.
Receiver.opsgenie_configs[].http_config.tls_config.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.opsgenie_configs[].http_config.tls_config.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.opsgenie_configs[].http_config.tls_config.keybodyany—Text of the client key file for the targets.
Receiver.opsgenie_configs[].http_config.tls_config.key_filebodystring—The client key file for the targets.
Receiver.opsgenie_configs[].http_config.tls_config.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.opsgenie_configs[].http_config.tls_config.max_versionbodyany—Maximum TLS version.
Receiver.opsgenie_configs[].http_config.tls_config.min_versionbodyany—Minimum TLS version.
Receiver.opsgenie_configs[].http_config.tls_config.server_namebodystring—Used to verify the hostname for the targets.
Receiver.opsgenie_configs[].messagebodystring—
Receiver.opsgenie_configs[].notebodystring—
Receiver.opsgenie_configs[].prioritybodystring—
Receiver.opsgenie_configs[].respondersbodyo11y.OpsGenieConfigResponder[]—
Receiver.opsgenie_configs[].responders[].idbodystring—One of those 3 should be filled.
Receiver.opsgenie_configs[].responders[].namebodystring—
Receiver.opsgenie_configs[].responders[].typebodystring—team, user, escalation, schedule etc.
Receiver.opsgenie_configs[].responders[].usernamebodystring—
Receiver.opsgenie_configs[].sourcebodystring—
Receiver.opsgenie_configs[].tagsbodystring—
Receiver.opsgenie_configs[].update_alertsbodyboolean—
Receiver.pagerduty_configsbodyo11y.PagerdutyConfig[]—
Receiver.pagerduty_configs[].NotifierConfigbodyo11y.NotifierConfig—
Receiver.pagerduty_configs[].NotifierConfig.send_resolvedbodyboolean—
Receiver.pagerduty_configs[].classbodystring—
Receiver.pagerduty_configs[].clientbodystring—
Receiver.pagerduty_configs[].client_urlbodystring—
Receiver.pagerduty_configs[].componentbodystring—
Receiver.pagerduty_configs[].descriptionbodystring—
Receiver.pagerduty_configs[].detailsbodyobject—
Receiver.pagerduty_configs[].details.*bodyany—
Receiver.pagerduty_configs[].groupbodystring—
Receiver.pagerduty_configs[].http_configbodyo11y.HTTPClientConfig—
Receiver.pagerduty_configs[].http_config.authorizationbodyo11y.Authorization—
Receiver.pagerduty_configs[].http_config.authorization.credentialsbodyany—
Receiver.pagerduty_configs[].http_config.authorization.credentials_filebodystring—
Receiver.pagerduty_configs[].http_config.authorization.credentials_refbodystring—CredentialsRef is the name of the secret within the secret manager to use as credentials.
Receiver.pagerduty_configs[].http_config.authorization.typebodystring—
Receiver.pagerduty_configs[].http_config.basic_authbodyo11y.BasicAuth—
Receiver.pagerduty_configs[].http_config.basic_auth.passwordbodyany—
Receiver.pagerduty_configs[].http_config.basic_auth.password_filebodystring—
Receiver.pagerduty_configs[].http_config.basic_auth.password_refbodystring—PasswordRef is the name of the secret within the secret manager to use as the password.
Receiver.pagerduty_configs[].http_config.basic_auth.usernamebodystring—
Receiver.pagerduty_configs[].http_config.basic_auth.username_filebodystring—
Receiver.pagerduty_configs[].http_config.basic_auth.username_refbodystring—UsernameRef is the name of the secret within the secret manager to use as the username.
Receiver.pagerduty_configs[].http_config.bearer_tokenbodyany—The bearer token for the targets.
Receiver.pagerduty_configs[].http_config.bearer_token_filebodystring—The bearer token file for the targets.
Receiver.pagerduty_configs[].http_config.enable_http2bodyboolean—EnableHTTP2 specifies whether the client should configure HTTP2.
Receiver.pagerduty_configs[].http_config.follow_redirectsbodyboolean—FollowRedirects specifies whether the client should follow HTTP 3xx redirects.
Receiver.pagerduty_configs[].http_config.http_headersbodyany—HTTPHeaders specify headers to inject in the requests.
Receiver.pagerduty_configs[].http_config.no_proxybodystring—
Receiver.pagerduty_configs[].http_config.oauth2bodyo11y.OAuth2—
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfigbodyo11y.TLSConfig—
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.cabodystring—Text of the CA cert to use for the targets.
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.ca_filebodystring—The CA cert to use for the targets.
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.certbodystring—Text of the client cert file for the targets.
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.cert_filebodystring—The client cert file for the targets.
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.keybodyany—Text of the client key file for the targets.
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.key_filebodystring—The client key file for the targets.
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.max_versionbodyany—Maximum TLS version.
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.min_versionbodyany—Minimum TLS version.
Receiver.pagerduty_configs[].http_config.oauth2.TLSConfig.server_namebodystring—Used to verify the hostname for the targets.
Receiver.pagerduty_configs[].http_config.oauth2.audiencebodystring—Audience optionally specifies the intended audience of the request.
Receiver.pagerduty_configs[].http_config.oauth2.claimsbodyobject—Claims is a map of claims to be added to the JWT token.
Receiver.pagerduty_configs[].http_config.oauth2.claims.*bodyany—
Receiver.pagerduty_configs[].http_config.oauth2.client_certificate_keybodyany—
Receiver.pagerduty_configs[].http_config.oauth2.client_certificate_key_filebodystring—
Receiver.pagerduty_configs[].http_config.oauth2.client_certificate_key_idbodystring—
Receiver.pagerduty_configs[].http_config.oauth2.client_certificate_key_refbodystring—ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret.
Receiver.pagerduty_configs[].http_config.oauth2.client_idbodystring—
Receiver.pagerduty_configs[].http_config.oauth2.client_secretbodyany—
Receiver.pagerduty_configs[].http_config.oauth2.client_secret_filebodystring—
Receiver.pagerduty_configs[].http_config.oauth2.client_secret_refbodystring—ClientSecretRef is the name of the secret within the secret manager to use as the client secret.
Receiver.pagerduty_configs[].http_config.oauth2.endpoint_paramsbodyobject—
Receiver.pagerduty_configs[].http_config.oauth2.endpoint_params.*bodystring—
Receiver.pagerduty_configs[].http_config.oauth2.grant_typebodystring—GrantType is the OAuth2 grant type to use.
Receiver.pagerduty_configs[].http_config.oauth2.issbodystring—Iss is the OAuth client identifier used when communicating with the configured OAuth provider.
Receiver.pagerduty_configs[].http_config.oauth2.no_proxybodystring—
Receiver.pagerduty_configs[].http_config.oauth2.proxy_connect_headerbodyobject—
Receiver.pagerduty_configs[].http_config.oauth2.proxy_connect_header.*bodyany[]—
Receiver.pagerduty_configs[].http_config.oauth2.proxy_from_environmentbodyboolean—
Receiver.pagerduty_configs[].http_config.oauth2.proxy_urlbodyany—
Receiver.pagerduty_configs[].http_config.oauth2.scopesbodystring[]—
Receiver.pagerduty_configs[].http_config.oauth2.signature_algorithmbodystring—SignatureAlgorithm is the RSA algorithm used to sign JWT token.
Receiver.pagerduty_configs[].http_config.oauth2.token_urlbodystring—
Receiver.pagerduty_configs[].http_config.proxy_connect_headerbodyobject—
Receiver.pagerduty_configs[].http_config.proxy_connect_header.*bodyany[]—
Receiver.pagerduty_configs[].http_config.proxy_from_environmentbodyboolean—
Receiver.pagerduty_configs[].http_config.proxy_urlbodyany—
Receiver.pagerduty_configs[].http_config.tls_configbodyo11y.TLSConfig—
Receiver.pagerduty_configs[].http_config.tls_config.cabodystring—Text of the CA cert to use for the targets.
Receiver.pagerduty_configs[].http_config.tls_config.ca_filebodystring—The CA cert to use for the targets.
Receiver.pagerduty_configs[].http_config.tls_config.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.pagerduty_configs[].http_config.tls_config.certbodystring—Text of the client cert file for the targets.
Receiver.pagerduty_configs[].http_config.tls_config.cert_filebodystring—The client cert file for the targets.
Receiver.pagerduty_configs[].http_config.tls_config.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.pagerduty_configs[].http_config.tls_config.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.pagerduty_configs[].http_config.tls_config.keybodyany—Text of the client key file for the targets.
Receiver.pagerduty_configs[].http_config.tls_config.key_filebodystring—The client key file for the targets.
Receiver.pagerduty_configs[].http_config.tls_config.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.pagerduty_configs[].http_config.tls_config.max_versionbodyany—Maximum TLS version.
Receiver.pagerduty_configs[].http_config.tls_config.min_versionbodyany—Minimum TLS version.
Receiver.pagerduty_configs[].http_config.tls_config.server_namebodystring—Used to verify the hostname for the targets.
Receiver.pagerduty_configs[].imagesbodyo11y.PagerdutyImage[]—
Receiver.pagerduty_configs[].images[].altbodystring—
Receiver.pagerduty_configs[].images[].hrefbodystring—
Receiver.pagerduty_configs[].images[].srcbodystring—
Receiver.pagerduty_configs[].linksbodyo11y.PagerdutyLink[]—
Receiver.pagerduty_configs[].links[].hrefbodystring—
Receiver.pagerduty_configs[].links[].textbodystring—
Receiver.pagerduty_configs[].routing_keybodyany—
Receiver.pagerduty_configs[].routing_key_filebodystring—
Receiver.pagerduty_configs[].service_keybodyany—
Receiver.pagerduty_configs[].service_key_filebodystring—
Receiver.pagerduty_configs[].severitybodystring—
Receiver.pagerduty_configs[].sourcebodystring—
Receiver.pagerduty_configs[].timeoutbodyinteger (int64)—Timeout is the maximum time allowed to invoke the pagerduty.
Receiver.pagerduty_configs[].urlbodyany—
Receiver.pushover_configsbodyo11y.PushoverConfig[]—
Receiver.pushover_configs[].NotifierConfigbodyo11y.NotifierConfig—
Receiver.pushover_configs[].NotifierConfig.send_resolvedbodyboolean—
Receiver.pushover_configs[].devicebodystring—
Receiver.pushover_configs[].expirebodyinteger (int64)—
Receiver.pushover_configs[].htmlbodyboolean—
Receiver.pushover_configs[].http_configbodyo11y.HTTPClientConfig—
Receiver.pushover_configs[].http_config.authorizationbodyo11y.Authorization—
Receiver.pushover_configs[].http_config.authorization.credentialsbodyany—
Receiver.pushover_configs[].http_config.authorization.credentials_filebodystring—
Receiver.pushover_configs[].http_config.authorization.credentials_refbodystring—CredentialsRef is the name of the secret within the secret manager to use as credentials.
Receiver.pushover_configs[].http_config.authorization.typebodystring—
Receiver.pushover_configs[].http_config.basic_authbodyo11y.BasicAuth—
Receiver.pushover_configs[].http_config.basic_auth.passwordbodyany—
Receiver.pushover_configs[].http_config.basic_auth.password_filebodystring—
Receiver.pushover_configs[].http_config.basic_auth.password_refbodystring—PasswordRef is the name of the secret within the secret manager to use as the password.
Receiver.pushover_configs[].http_config.basic_auth.usernamebodystring—
Receiver.pushover_configs[].http_config.basic_auth.username_filebodystring—
Receiver.pushover_configs[].http_config.basic_auth.username_refbodystring—UsernameRef is the name of the secret within the secret manager to use as the username.
Receiver.pushover_configs[].http_config.bearer_tokenbodyany—The bearer token for the targets.
Receiver.pushover_configs[].http_config.bearer_token_filebodystring—The bearer token file for the targets.
Receiver.pushover_configs[].http_config.enable_http2bodyboolean—EnableHTTP2 specifies whether the client should configure HTTP2.
Receiver.pushover_configs[].http_config.follow_redirectsbodyboolean—FollowRedirects specifies whether the client should follow HTTP 3xx redirects.
Receiver.pushover_configs[].http_config.http_headersbodyany—HTTPHeaders specify headers to inject in the requests.
Receiver.pushover_configs[].http_config.no_proxybodystring—
Receiver.pushover_configs[].http_config.oauth2bodyo11y.OAuth2—
Receiver.pushover_configs[].http_config.oauth2.TLSConfigbodyo11y.TLSConfig—
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.cabodystring—Text of the CA cert to use for the targets.
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.ca_filebodystring—The CA cert to use for the targets.
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.certbodystring—Text of the client cert file for the targets.
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.cert_filebodystring—The client cert file for the targets.
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.keybodyany—Text of the client key file for the targets.
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.key_filebodystring—The client key file for the targets.
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.max_versionbodyany—Maximum TLS version.
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.min_versionbodyany—Minimum TLS version.
Receiver.pushover_configs[].http_config.oauth2.TLSConfig.server_namebodystring—Used to verify the hostname for the targets.
Receiver.pushover_configs[].http_config.oauth2.audiencebodystring—Audience optionally specifies the intended audience of the request.
Receiver.pushover_configs[].http_config.oauth2.claimsbodyobject—Claims is a map of claims to be added to the JWT token.
Receiver.pushover_configs[].http_config.oauth2.claims.*bodyany—
Receiver.pushover_configs[].http_config.oauth2.client_certificate_keybodyany—
Receiver.pushover_configs[].http_config.oauth2.client_certificate_key_filebodystring—
Receiver.pushover_configs[].http_config.oauth2.client_certificate_key_idbodystring—
Receiver.pushover_configs[].http_config.oauth2.client_certificate_key_refbodystring—ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret.
Receiver.pushover_configs[].http_config.oauth2.client_idbodystring—
Receiver.pushover_configs[].http_config.oauth2.client_secretbodyany—
Receiver.pushover_configs[].http_config.oauth2.client_secret_filebodystring—
Receiver.pushover_configs[].http_config.oauth2.client_secret_refbodystring—ClientSecretRef is the name of the secret within the secret manager to use as the client secret.
Receiver.pushover_configs[].http_config.oauth2.endpoint_paramsbodyobject—
Receiver.pushover_configs[].http_config.oauth2.endpoint_params.*bodystring—
Receiver.pushover_configs[].http_config.oauth2.grant_typebodystring—GrantType is the OAuth2 grant type to use.
Receiver.pushover_configs[].http_config.oauth2.issbodystring—Iss is the OAuth client identifier used when communicating with the configured OAuth provider.
Receiver.pushover_configs[].http_config.oauth2.no_proxybodystring—
Receiver.pushover_configs[].http_config.oauth2.proxy_connect_headerbodyobject—
Receiver.pushover_configs[].http_config.oauth2.proxy_connect_header.*bodyany[]—
Receiver.pushover_configs[].http_config.oauth2.proxy_from_environmentbodyboolean—
Receiver.pushover_configs[].http_config.oauth2.proxy_urlbodyany—
Receiver.pushover_configs[].http_config.oauth2.scopesbodystring[]—
Receiver.pushover_configs[].http_config.oauth2.signature_algorithmbodystring—SignatureAlgorithm is the RSA algorithm used to sign JWT token.
Receiver.pushover_configs[].http_config.oauth2.token_urlbodystring—
Receiver.pushover_configs[].http_config.proxy_connect_headerbodyobject—
Receiver.pushover_configs[].http_config.proxy_connect_header.*bodyany[]—
Receiver.pushover_configs[].http_config.proxy_from_environmentbodyboolean—
Receiver.pushover_configs[].http_config.proxy_urlbodyany—
Receiver.pushover_configs[].http_config.tls_configbodyo11y.TLSConfig—
Receiver.pushover_configs[].http_config.tls_config.cabodystring—Text of the CA cert to use for the targets.
Receiver.pushover_configs[].http_config.tls_config.ca_filebodystring—The CA cert to use for the targets.
Receiver.pushover_configs[].http_config.tls_config.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.pushover_configs[].http_config.tls_config.certbodystring—Text of the client cert file for the targets.
Receiver.pushover_configs[].http_config.tls_config.cert_filebodystring—The client cert file for the targets.
Receiver.pushover_configs[].http_config.tls_config.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.pushover_configs[].http_config.tls_config.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.pushover_configs[].http_config.tls_config.keybodyany—Text of the client key file for the targets.
Receiver.pushover_configs[].http_config.tls_config.key_filebodystring—The client key file for the targets.
Receiver.pushover_configs[].http_config.tls_config.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.pushover_configs[].http_config.tls_config.max_versionbodyany—Maximum TLS version.
Receiver.pushover_configs[].http_config.tls_config.min_versionbodyany—Minimum TLS version.
Receiver.pushover_configs[].http_config.tls_config.server_namebodystring—Used to verify the hostname for the targets.
Receiver.pushover_configs[].messagebodystring—
Receiver.pushover_configs[].monospacebodyboolean—
Receiver.pushover_configs[].prioritybodystring—
Receiver.pushover_configs[].retrybodyinteger (int64)—
Receiver.pushover_configs[].soundbodystring—
Receiver.pushover_configs[].titlebodystring—
Receiver.pushover_configs[].tokenbodyany—
Receiver.pushover_configs[].token_filebodystring—
Receiver.pushover_configs[].ttlbodyinteger (int64)—
Receiver.pushover_configs[].urlbodystring—
Receiver.pushover_configs[].url_titlebodystring—
Receiver.pushover_configs[].user_keybodyany—
Receiver.pushover_configs[].user_key_filebodystring—
Receiver.rocketchat_configsbodyo11y.RocketchatConfig[]—
Receiver.rocketchat_configs[].NotifierConfigbodyo11y.NotifierConfig—
Receiver.rocketchat_configs[].NotifierConfig.send_resolvedbodyboolean—
Receiver.rocketchat_configs[].actionsbodyo11y.RocketchatAttachmentAction[]—
Receiver.rocketchat_configs[].actions[].image_urlbodystring—
Receiver.rocketchat_configs[].actions[].is_webviewbodyboolean—
Receiver.rocketchat_configs[].actions[].msgbodystring—
Receiver.rocketchat_configs[].actions[].msg_in_chat_windowbodyboolean—
Receiver.rocketchat_configs[].actions[].msg_processing_typebodystring—
Receiver.rocketchat_configs[].actions[].textbodystring—
Receiver.rocketchat_configs[].actions[].typebodystring—
Receiver.rocketchat_configs[].actions[].urlbodystring—
Receiver.rocketchat_configs[].actions[].webview_height_ratiobodystring—
Receiver.rocketchat_configs[].api_urlbodyany—
Receiver.rocketchat_configs[].channelbodystring—RocketChat channel override, (like #other-channel or @username).
Receiver.rocketchat_configs[].colorbodystring—
Receiver.rocketchat_configs[].emojibodystring—
Receiver.rocketchat_configs[].fieldsbodyo11y.RocketchatAttachmentField[]—
Receiver.rocketchat_configs[].fields[].shortbodyboolean—
Receiver.rocketchat_configs[].fields[].titlebodystring—
Receiver.rocketchat_configs[].fields[].valuebodystring—
Receiver.rocketchat_configs[].http_configbodyo11y.HTTPClientConfig—
Receiver.rocketchat_configs[].http_config.authorizationbodyo11y.Authorization—
Receiver.rocketchat_configs[].http_config.authorization.credentialsbodyany—
Receiver.rocketchat_configs[].http_config.authorization.credentials_filebodystring—
Receiver.rocketchat_configs[].http_config.authorization.credentials_refbodystring—CredentialsRef is the name of the secret within the secret manager to use as credentials.
Receiver.rocketchat_configs[].http_config.authorization.typebodystring—
Receiver.rocketchat_configs[].http_config.basic_authbodyo11y.BasicAuth—
Receiver.rocketchat_configs[].http_config.basic_auth.passwordbodyany—
Receiver.rocketchat_configs[].http_config.basic_auth.password_filebodystring—
Receiver.rocketchat_configs[].http_config.basic_auth.password_refbodystring—PasswordRef is the name of the secret within the secret manager to use as the password.
Receiver.rocketchat_configs[].http_config.basic_auth.usernamebodystring—
Receiver.rocketchat_configs[].http_config.basic_auth.username_filebodystring—
Receiver.rocketchat_configs[].http_config.basic_auth.username_refbodystring—UsernameRef is the name of the secret within the secret manager to use as the username.
Receiver.rocketchat_configs[].http_config.bearer_tokenbodyany—The bearer token for the targets.
Receiver.rocketchat_configs[].http_config.bearer_token_filebodystring—The bearer token file for the targets.
Receiver.rocketchat_configs[].http_config.enable_http2bodyboolean—EnableHTTP2 specifies whether the client should configure HTTP2.
Receiver.rocketchat_configs[].http_config.follow_redirectsbodyboolean—FollowRedirects specifies whether the client should follow HTTP 3xx redirects.
Receiver.rocketchat_configs[].http_config.http_headersbodyany—HTTPHeaders specify headers to inject in the requests.
Receiver.rocketchat_configs[].http_config.no_proxybodystring—
Receiver.rocketchat_configs[].http_config.oauth2bodyo11y.OAuth2—
Receiver.rocketchat_configs[].http_config.oauth2.TLSConfigbodyo11y.TLSConfig—
Receiver.rocketchat_configs[].http_config.oauth2.TLSConfig.cabodystring—Text of the CA cert to use for the targets.
Receiver.rocketchat_configs[].http_config.oauth2.TLSConfig.ca_filebodystring—The CA cert to use for the targets.
Receiver.rocketchat_configs[].http_config.oauth2.TLSConfig.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.rocketchat_configs[].http_config.oauth2.TLSConfig.certbodystring—Text of the client cert file for the targets.
Receiver.rocketchat_configs[].http_config.oauth2.TLSConfig.cert_filebodystring—The client cert file for the targets.
Receiver.rocketchat_configs[].http_config.oauth2.TLSConfig.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.rocketchat_configs[].http_config.oauth2.TLSConfig.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.rocketchat_configs[].http_config.oauth2.TLSConfig.keybodyany—Text of the client key file for the targets.
Receiver.rocketchat_configs[].http_config.oauth2.TLSConfig.key_filebodystring—The client key file for the targets.
Receiver.rocketchat_configs[].http_config.oauth2.TLSConfig.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.rocketchat_configs[].http_config.oauth2.TLSConfig.max_versionbodyany—Maximum TLS version.
Receiver.rocketchat_configs[].http_config.oauth2.TLSConfig.min_versionbodyany—Minimum TLS version.
Receiver.rocketchat_configs[].http_config.oauth2.TLSConfig.server_namebodystring—Used to verify the hostname for the targets.
Receiver.rocketchat_configs[].http_config.oauth2.audiencebodystring—Audience optionally specifies the intended audience of the request.
Receiver.rocketchat_configs[].http_config.oauth2.claimsbodyobject—Claims is a map of claims to be added to the JWT token.
Receiver.rocketchat_configs[].http_config.oauth2.claims.*bodyany—
Receiver.rocketchat_configs[].http_config.oauth2.client_certificate_keybodyany—
Receiver.rocketchat_configs[].http_config.oauth2.client_certificate_key_filebodystring—
Receiver.rocketchat_configs[].http_config.oauth2.client_certificate_key_idbodystring—
Receiver.rocketchat_configs[].http_config.oauth2.client_certificate_key_refbodystring—ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret.
Receiver.rocketchat_configs[].http_config.oauth2.client_idbodystring—
Receiver.rocketchat_configs[].http_config.oauth2.client_secretbodyany—
Receiver.rocketchat_configs[].http_config.oauth2.client_secret_filebodystring—
Receiver.rocketchat_configs[].http_config.oauth2.client_secret_refbodystring—ClientSecretRef is the name of the secret within the secret manager to use as the client secret.
Receiver.rocketchat_configs[].http_config.oauth2.endpoint_paramsbodyobject—
Receiver.rocketchat_configs[].http_config.oauth2.endpoint_params.*bodystring—
Receiver.rocketchat_configs[].http_config.oauth2.grant_typebodystring—GrantType is the OAuth2 grant type to use.
Receiver.rocketchat_configs[].http_config.oauth2.issbodystring—Iss is the OAuth client identifier used when communicating with the configured OAuth provider.
Receiver.rocketchat_configs[].http_config.oauth2.no_proxybodystring—
Receiver.rocketchat_configs[].http_config.oauth2.proxy_connect_headerbodyobject—
Receiver.rocketchat_configs[].http_config.oauth2.proxy_connect_header.*bodyany[]—
Receiver.rocketchat_configs[].http_config.oauth2.proxy_from_environmentbodyboolean—
Receiver.rocketchat_configs[].http_config.oauth2.proxy_urlbodyany—
Receiver.rocketchat_configs[].http_config.oauth2.scopesbodystring[]—
Receiver.rocketchat_configs[].http_config.oauth2.signature_algorithmbodystring—SignatureAlgorithm is the RSA algorithm used to sign JWT token.
Receiver.rocketchat_configs[].http_config.oauth2.token_urlbodystring—
Receiver.rocketchat_configs[].http_config.proxy_connect_headerbodyobject—
Receiver.rocketchat_configs[].http_config.proxy_connect_header.*bodyany[]—
Receiver.rocketchat_configs[].http_config.proxy_from_environmentbodyboolean—
Receiver.rocketchat_configs[].http_config.proxy_urlbodyany—
Receiver.rocketchat_configs[].http_config.tls_configbodyo11y.TLSConfig—
Receiver.rocketchat_configs[].http_config.tls_config.cabodystring—Text of the CA cert to use for the targets.
Receiver.rocketchat_configs[].http_config.tls_config.ca_filebodystring—The CA cert to use for the targets.
Receiver.rocketchat_configs[].http_config.tls_config.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.rocketchat_configs[].http_config.tls_config.certbodystring—Text of the client cert file for the targets.
Receiver.rocketchat_configs[].http_config.tls_config.cert_filebodystring—The client cert file for the targets.
Receiver.rocketchat_configs[].http_config.tls_config.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.rocketchat_configs[].http_config.tls_config.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.rocketchat_configs[].http_config.tls_config.keybodyany—Text of the client key file for the targets.
Receiver.rocketchat_configs[].http_config.tls_config.key_filebodystring—The client key file for the targets.
Receiver.rocketchat_configs[].http_config.tls_config.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.rocketchat_configs[].http_config.tls_config.max_versionbodyany—Maximum TLS version.
Receiver.rocketchat_configs[].http_config.tls_config.min_versionbodyany—Minimum TLS version.
Receiver.rocketchat_configs[].http_config.tls_config.server_namebodystring—Used to verify the hostname for the targets.
Receiver.rocketchat_configs[].icon_urlbodystring—
Receiver.rocketchat_configs[].image_urlbodystring—
Receiver.rocketchat_configs[].link_namesbodyboolean—
Receiver.rocketchat_configs[].short_fieldsbodyboolean—
Receiver.rocketchat_configs[].textbodystring—
Receiver.rocketchat_configs[].thumb_urlbodystring—
Receiver.rocketchat_configs[].titlebodystring—
Receiver.rocketchat_configs[].title_linkbodystring—
Receiver.rocketchat_configs[].tokenbodyany—
Receiver.rocketchat_configs[].token_filebodystring—
Receiver.rocketchat_configs[].token_idbodyany—
Receiver.rocketchat_configs[].token_id_filebodystring—
Receiver.slack_configsbodyo11y.SlackConfig[]—
Receiver.slack_configs[].NotifierConfigbodyo11y.NotifierConfig—
Receiver.slack_configs[].NotifierConfig.send_resolvedbodyboolean—
Receiver.slack_configs[].actionsbodyo11y.SlackAction[]—
Receiver.slack_configs[].actions[].confirmbodyo11y.SlackConfirmationField—
Receiver.slack_configs[].actions[].confirm.dismiss_textbodystring—
Receiver.slack_configs[].actions[].confirm.ok_textbodystring—
Receiver.slack_configs[].actions[].confirm.textbodystring—
Receiver.slack_configs[].actions[].confirm.titlebodystring—
Receiver.slack_configs[].actions[].namebodystring—
Receiver.slack_configs[].actions[].stylebodystring—
Receiver.slack_configs[].actions[].textbodystring—
Receiver.slack_configs[].actions[].typebodystring—
Receiver.slack_configs[].actions[].urlbodystring—
Receiver.slack_configs[].actions[].valuebodystring—
Receiver.slack_configs[].api_urlbodyany—
Receiver.slack_configs[].api_url_filebodystring—
Receiver.slack_configs[].app_tokenbodyany—
Receiver.slack_configs[].app_token_filebodystring—
Receiver.slack_configs[].app_urlbodyany—
Receiver.slack_configs[].callback_idbodystring—
Receiver.slack_configs[].channelbodystring—Slack channel override, (like #other-channel or @username).
Receiver.slack_configs[].colorbodystring—
Receiver.slack_configs[].fallbackbodystring—
Receiver.slack_configs[].fieldsbodyo11y.SlackField[]—
Receiver.slack_configs[].fields[].shortbodyboolean—
Receiver.slack_configs[].fields[].titlebodystring—
Receiver.slack_configs[].fields[].valuebodystring—
Receiver.slack_configs[].footerbodystring—
Receiver.slack_configs[].http_configbodyo11y.HTTPClientConfig—
Receiver.slack_configs[].http_config.authorizationbodyo11y.Authorization—
Receiver.slack_configs[].http_config.authorization.credentialsbodyany—
Receiver.slack_configs[].http_config.authorization.credentials_filebodystring—
Receiver.slack_configs[].http_config.authorization.credentials_refbodystring—CredentialsRef is the name of the secret within the secret manager to use as credentials.
Receiver.slack_configs[].http_config.authorization.typebodystring—
Receiver.slack_configs[].http_config.basic_authbodyo11y.BasicAuth—
Receiver.slack_configs[].http_config.basic_auth.passwordbodyany—
Receiver.slack_configs[].http_config.basic_auth.password_filebodystring—
Receiver.slack_configs[].http_config.basic_auth.password_refbodystring—PasswordRef is the name of the secret within the secret manager to use as the password.
Receiver.slack_configs[].http_config.basic_auth.usernamebodystring—
Receiver.slack_configs[].http_config.basic_auth.username_filebodystring—
Receiver.slack_configs[].http_config.basic_auth.username_refbodystring—UsernameRef is the name of the secret within the secret manager to use as the username.
Receiver.slack_configs[].http_config.bearer_tokenbodyany—The bearer token for the targets.
Receiver.slack_configs[].http_config.bearer_token_filebodystring—The bearer token file for the targets.
Receiver.slack_configs[].http_config.enable_http2bodyboolean—EnableHTTP2 specifies whether the client should configure HTTP2.
Receiver.slack_configs[].http_config.follow_redirectsbodyboolean—FollowRedirects specifies whether the client should follow HTTP 3xx redirects.
Receiver.slack_configs[].http_config.http_headersbodyany—HTTPHeaders specify headers to inject in the requests.
Receiver.slack_configs[].http_config.no_proxybodystring—
Receiver.slack_configs[].http_config.oauth2bodyo11y.OAuth2—
Receiver.slack_configs[].http_config.oauth2.TLSConfigbodyo11y.TLSConfig—
Receiver.slack_configs[].http_config.oauth2.TLSConfig.cabodystring—Text of the CA cert to use for the targets.
Receiver.slack_configs[].http_config.oauth2.TLSConfig.ca_filebodystring—The CA cert to use for the targets.
Receiver.slack_configs[].http_config.oauth2.TLSConfig.ca_refbodystring—CARef is the name of the secret within the secret manager to use as the CA cert for the targets.
Receiver.slack_configs[].http_config.oauth2.TLSConfig.certbodystring—Text of the client cert file for the targets.
Receiver.slack_configs[].http_config.oauth2.TLSConfig.cert_filebodystring—The client cert file for the targets.
Receiver.slack_configs[].http_config.oauth2.TLSConfig.cert_refbodystring—CertRef is the name of the secret within the secret manager to use as the client cert for the targets.
Receiver.slack_configs[].http_config.oauth2.TLSConfig.insecure_skip_verifybodyboolean—Disable target certificate validation.
Receiver.slack_configs[].http_config.oauth2.TLSConfig.keybodyany—Text of the client key file for the targets.
Receiver.slack_configs[].http_config.oauth2.TLSConfig.key_filebodystring—The client key file for the targets.
Receiver.slack_configs[].http_config.oauth2.TLSConfig.key_refbodystring—KeyRef is the name of the secret within the secret manager to use as the client key for the targets.
Receiver.slack_configs[].http_config.oauth2.TLSConfig.max_versionbodyany—Maximum TLS version.
Receiver.slack_configs[].http_config.oauth2.TLSConfig.min_versionbodyany—Minimum TLS version.
Receiver.slack_configs[].http_config.oauth2.TLSConfig.server_namebodystring—Used to verify the hostname for the targets.
Receiver.slack_configs[].http_config.oauth2.audiencebodystring—Audience optionally specifies the intended audience of the request.
Receiver.slack_configs[].http_config.oauth2.claimsbodyobject—Claims is a map of claims to be added to the JWT token.
Receiver.slack_configs[].http_config.oauth2.claims.*bodyany—
Receiver.slack_configs[].http_config.oauth2.client_certificate_keybodyany—
Receiver.slack_configs[].http_config.oauth2.client_certificate_key_filebodystring—
Receiver.slack_configs[].http_config.oauth2.client_certificate_key_idbodystring—
Receiver.slack_configs[].http_config.oauth2.client_certificate_key_refbodystring—ClientCertificateKeyRef is the name of the secret within the secret manager to use as the client secret.
Receiver.slack_configs[].http_config.oauth2.client_idbodystring—
Receiver.slack_configs[].http_config.oauth2.client_secretbodyany—
Receiver.slack_configs[].http_config.oauth2.client_secret_filebodystring—
Receiver.slack_configs[].http_config.oauth2.client_secret_refbodystring—ClientSecretRef is the name of the secret within the secret manager to use as the client secret.
Receiver.slack_configs[].http_config.oauth2.endpoint_paramsbodyobject—
Receiver.slack_configs[].http_config.oauth2.endpoint_params.*bodystring—
Receiver.slack_configs[].http_config.oauth2.grant_typebodystring—GrantType is the OAuth2 grant type to use.
Receiver.slack_configs[].http_config.oauth2.issbodystring—Iss is the OAuth client identifier used when communicating with the configured OAuth provider.
Receiver.slack_configs[].http_config.oauth2.no_proxybodystring—
Receiver.slack_configs[].http_config.oauth2.proxy_connect_headerbodyobject—
Receiver.slack_configs[].http_config.oauth2.proxy_connect_header.*bodyany[]—
Receiver.slack_configs[].http_config.oauth2.proxy_from_environmentbodyboolean—
Receiver.slack_configs[].http_config.oauth2.proxy_urlbodyany—
Receiver.slack_configs[].http_config.oauth2.scopesbodystring[]—
Receiver.slack_configs[].http_config.oauth2.signature_algorithmbodystring—SignatureAlgorithm is the RSA algorithm used to sign JWT token.
Receiver.slack_configs[].http_config.oauth2.token_urlbodystring—
Receiver.slack_configs[].http_config.proxy_connect_headerbodyobject—
Receiver.slack_configs[].http_config.proxy_connect_header.*bodyany[]—
[...]
